Skip to content
Framework Docs

Get Directory

$ llamacloud-prod beta:directories get
GET/api/v1/beta/directories/{directory_id}

Retrieve a directory by its identifier.

ParametersExpand Collapse
--directory-id: string
--organization-id: optional string
--project-id: optional string
ReturnsExpand Collapse
BetaDirectoryGetResponse: object { id, name, project_id, 5 more }

API response schema for a directory.

id: string

Unique identifier for the directory.

name: string

Human-readable name for the directory.

project_id: string

Project the directory belongs to.

created_at: optional string

Creation datetime

data_source_id: optional string

Optional data source id the directory syncs from. Null if just manual uploads.

deleted_at: optional string

Optional timestamp of when the directory was deleted. Null if not deleted.

description: optional string

Optional description shown to users.

updated_at: optional string

Update datetime

Get Directory

llamacloud-prod beta:directories get \
  --api-key 'My API Key' \
  --directory-id directory_id
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "data_source_id": "data_source_id",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "data_source_id": "data_source_id",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "updated_at": "2019-12-27T18:11:19.117Z"
}